Package com.logicaldoc.core.document

# Class DocumentHistory

java.lang.Object
com.logicaldoc.core.PersistentObject
com.logicaldoc.core.history.History
com.logicaldoc.core.document.AbstractDocumentHistory
com.logicaldoc.core.document.DocumentHistory

All Implemented Interfaces:
  `Serializable`, `Comparable<History>`

@Entity public class DocumentHistory extends AbstractDocumentHistory
Registers an event on folder or document

Author:
  Michael Scholz, Alessandro Gasparini - LogicalDOC, Marco Meschieri - LogicalDOC
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class com.logicaldoc.core.PersistentObject

`DELETED_CODE_DEFAULT, DELETED_CODE_STRONG, id`

## Constructor Summary

Constructors
Constructor
Description
`DocumentHistory()`
`DocumentHistory(DocumentHistory source)`
`DocumentHistory(History source)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getColor()`
`DocumentEvent`
`getEventEnum()`
`boolean`
`isNew()`
`void`
`setColor(String color)`
`void`
`setDocument(AbstractDocument document)`
`void`
`setEvent(DocumentEvent event)`
`void`
`setEvent(String event)`
Sets the event key
`void`
`setNew(boolean isNew)`

### Methods inherited from class com.logicaldoc.core.document.AbstractDocumentHistory

`equals, getDocId, getDocument, getFilename, getFilenameOld, getFileSize, getFileVersion, getFolder, getFolderId, getPathOld, getReason, getRevision, getVersion, hashCode, setDocId, setFilename, setFilenameOld, setFileSize, setFileVersion, setFolder, setFolderId, setPathOld, setReason, setRevision, setVersion`

### Methods inherited from class com.logicaldoc.core.history.History

`compareTo, eventTables, getComment, getDate, getDevice, getEvent, getFile, getGeolocation, getImpersonator, getIp, getKeyLabel, getOverwrite, getPath, getSessionId, getTenant, getUser, getUserId, getUserLogin, getUsername, isNotified, isNotifyEvent, setClient, setComment, setDate, setDevice, setFile, setGeolocation, setImpersonator, setIp, setKeyLabel, setNotified, setNotifyEvent, setOverwrite, setPath, setSession, setSessionId, setTenant, setUser, setUserId, setUserLogin, setUsername, toString`

### Methods inherited from class com.logicaldoc.core.PersistentObject

`getCreation, getDeleted, getId, getLastModified, getRecordVersion, getTenantId, setCreation, setDeleted, setId, setLastModified, setRecordVersion, setTenantId`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DocumentHistory

public DocumentHistory()

### DocumentHistory

public DocumentHistory(History source)

### DocumentHistory

public DocumentHistory(DocumentHistory source)

## Method Details

### setEvent

public void setEvent(DocumentEvent event)

### setEvent

public void setEvent(String event)
Description copied from class: `History`
Sets the event key

Overrides:
  `setEvent` in class `History`
Parameters:
  `event` - key of the event

### getEventEnum

public DocumentEvent getEventEnum()

### getColor

public String getColor()

### setColor

public void setColor(String color)

### isNew

public boolean isNew()

### setNew

public void setNew(boolean isNew)

### setDocument

public void setDocument(AbstractDocument document)

Overrides:
  `setDocument` in class `AbstractDocumentHistory`